/////////////////////////////////////////////
///////      IRAN_RC1 BY XANDAXS      ///////
/////////////////////////////////////////////
//                //
//    INDEX:      //
//  > Skybox      //
//  > Plants      //
//  > Decals      //
//  > Trans       //
//  > Misc        //
//                //
//////////////////// 


// ** SKYBOX ** //

textures/iran_xan/skybox
{
	qer_editorimage env/iran_xan/canyon_rt.tga
	q3map_lightimage env/iran_xan/light.tga
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_backsplash 0 0
	
	q3map_sunEXT 1 1 0.5 50	20 60 2 20
	q3map_skylight 500 4
	q3map_lightmapFilterRadius 0 8
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	skyparms env/iran_xan/canyon 196 -
	nopicmip
	nomipmaps
	{
		map env/iran_xan/clouds.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scale 3 3
		tcMod scroll 0.005 0.005
		rgbGen identityLighting
	}
	{
		clampmap env/iran_xan/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


// ** PLANTS ** //

textures/iran_xan/leaves
{
    qer_editorimage textures/iran_xan/leaves.tga
	q3map_forceMeta
	q3map_noshadow 32
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/iran_xan/leaves.tga
		alphafunc ge128
		rgbGen vertex
	}
}


// ** DECALS ** //

textures/iran_xan/vines
{
	qer_editorimage textures/iran_xan/vines.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/iran_xan/vines.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/iran_xan/cmm
{
	qer_editorimage	textures/iran_xan/cmm.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
   {
    map textures/iran_xan/cmm.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}

textures/iran_xan/uzfplate
{
	qer_editorimage	textures/iran_xan/uzfplate.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
   {
    map textures/iran_xan/uzfplate.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}

textures/iran_xan/uzsmall
{
	qer_editorimage	textures/iran_xan/uzsmall.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
   {
    map textures/iran_xan/uzsmall.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}


// ** TRANS ** //

textures/iran_xan/trellis
{
    qer_editorimage textures/iran_xan/trellis.tga
	surfaceparm trans
	surfaceParm noimpact
	cull none
	nopicmip
	nomipmaps
	{
		map textures/iran_xan/trellis.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/iran_xan/barbedwire
{
	qer_editor_image textures/iran_xan/barbedwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/iran_xan/barbedwire.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/iran_xan/gate1
{
    qer_editorimage textures/iran_xan/gate1.tga
	surfaceparm trans	
    surfaceParm noimpact	
	cull none
    nopicmip

	{
		map textures/iran_xan/gate1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identityLighting
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/iran_xan/gate2
{
    qer_editorimage textures/iran_xan/gate2.tga
    surfaceparm trans
	surfaceParm noimpact
	cull none
    nopicmip
	{
		map textures/iran_xan/gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}